package com.bytedance.jedi.arch.internal;

import X.0C7;
import X.0CB;
import X.0CH;
import X.0CL;
import com.bytedance.covode.number.Covode;

public class LifecycleAwareObserver_LifecycleAdapter implements 0C7 {
    public final LifecycleAwareObserver LIZ;

    static {
        Covode.recordClassIndex(34733);
    }

    public LifecycleAwareObserver_LifecycleAdapter(LifecycleAwareObserver lifecycleAwareObserver) {
        this.LIZ = lifecycleAwareObserver;
    }

    public final void LIZ(0CH r4, 0CB r5, boolean z, 0CL r7) {
        boolean z2;
        if (r7 != null) {
            z2 = true;
        } else {
            z2 = false;
        }
        if (z) {
            if (!z2 || r7.LIZ("onLifecycleEvent", 2)) {
                this.LIZ.onLifecycleEvent(r4);
            }
        } else if (r5 != 0CB.ON_DESTROY) {
        } else {
            if (!z2 || r7.LIZ("onDestroy", 1)) {
                this.LIZ.onDestroy();
            }
        }
    }
}
